<?php declare(strict_types=1);

namespace App\Dto\Service\Site\AccessTokens;

use App\Dto\Service\Dto;
use App\Enums\AccessTokenPermission;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $name,
        private AccessTokenPermission $permission,
    ) { }

    public function getName(): string
    {
        return $this->name;
    }

    public function getPermission(): AccessTokenPermission
    {
        return $this->permission;
    }
}
