<?php declare(strict_types=1);

namespace App\Http\Requests\Site\TagRepositories;

use App\Contracts\FormRequestDto;
use App\Dto\Service\Site\TagRepository\Tags;
use Illuminate\Foundation\Http\FormRequest;

final class TagsRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'page' => ['nullable', 'numeric', 'min:1']
        ];
    }

    public function getDto(): Tags
    {
        return new Tags(
            page: (int) $this->input('page', 1)
        );
    }
}
