<?php declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

final class Architecture extends Model
{
    use HasFactory;

    protected $table = 'architectures';

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
    ];

    public function os(): BelongsTo
    {
        return $this->belongsTo(OperatingSystem::class, 'operating_system_id');
    }
}
