<?php declare(strict_types=1);

namespace App\Repositories;

use App\Contracts\Search;
use App\Models\User;
use App\Services\Search\CreateSearchInstanceCommand;
use Laravel\Sanctum\PersonalAccessToken;

final readonly class AccessTokenRepository
{
    public function __construct(
        private CreateSearchInstanceCommand $createSearchInstanceCommand,
    ) { }

    public function getUserTokens(User $user, array $with = []): Search
    {
        $query = $user->tokens()->with($with);

        return $this->createSearchInstanceCommand->execute($query);
    }

    public function getTokenById(User $user, int $id): ?PersonalAccessToken
    {
        return $user->tokens()->where('id', $id)->first();
    }
}
