<?php declare(strict_types=1);

namespace App\Repositories;

use App\Contracts\Search;
use App\Models\Repository;
use App\Models\TagRepository;
use App\Services\Search\CreateSearchInstanceCommand;

final readonly class TagRepositoryRepository
{
    public function __construct(
        private CreateSearchInstanceCommand $createSearchInstanceCommand,
    ) { }

    public function getTagById(int $id): ?TagRepository
    {
        return TagRepository::query()->where("id", $id)->first();
    }

    public function getTagsRepository(Repository $repository, array $with = []): Search
    {
        $query = $repository->tags()->with($with)->orderByDesc('updated_at');

        return $this->createSearchInstanceCommand->execute($query);
    }
}
