<?php declare(strict_types=1);

namespace App\Services\Registry\V2;

use App\Dto\Service\Registry\V2\AuthorizationConfig;

final readonly class PayloadCommand
{
    public function execute(AuthorizationConfig $authorizationConfig, array $access, string $username): array
    {
        return [
            'iss'    => $authorizationConfig->getIssuer(),
            'aud'    => $authorizationConfig->getServiceName(),
            'iat'    => \now()->getTimestamp(),
            'nbf'    => \now()->getTimestamp(),
            'exp'    => \now()->addSeconds($authorizationConfig->getExpiresInSeconds())->getTimestamp(),
            'sub'    => $username,
            'jti'    => \strtoupper(\bin2hex(\openssl_random_pseudo_bytes(16))),
            'access' => $access,
        ];
    }
}
