<?php declare(strict_types=1);

namespace App\Services\Repository;

use App\Dto\Builder\Repository;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, Repository $builderDto): Relation | Builder
    {
        return $query->when($builderDto->getIsPublic(), function (Builder $query) use ($builderDto) {
            $query->where('is_public', $builderDto->getIsPublic());
        });
    }
}
