<?php declare(strict_types=1);

namespace App\Services\TagRepository;

use App\Models\Architecture;
use App\Models\Repository;
use App\Models\TagRepository;

final readonly class TagRepositoryCommandHandler
{
    public function handleStore(Repository $repository, Architecture $architecture, string $name, array $data): TagRepository
    {
        $tag = new TagRepository();
        $tag->repository_id   = $repository->id;
        $tag->architecture_id = $architecture->id;
        $tag->name            = $name;

        $tag->fill($data);
        $tag->save();

        return $tag;
    }

    public function handleUpdate(TagRepository $tag, array $data): TagRepository
    {
        $tag->update($data);
        return $tag;
    }

    public function handleDestroy(TagRepository $tag): void
    {
        $tag->delete();
    }
}
